-rw-r--r-- | delta.jscad | 20 |
1 files changed, 18 insertions, 2 deletions
diff --git a/delta.jscad b/delta.jscad index ad19f88..eb538d2 100644 --- a/delta.jscad +++ b/delta.jscad @@ -36,9 +36,10 @@ var CONFIG = { bolt: { d:5, l: 19, hd: 10 }, margin: 2.5, nut: { d: 8.6 /* TODO: */, h: 3.5 }, shell: 4, - zscalefactor: 1.6 + zscalefactor: 1.6, + foot: { ho: 2.5, hi: 5 } }, hotend: { h: 62.4, // full assembly height groove: { d:12, h:6 }, // grove diameter and height @@ -90,9 +91,10 @@ var CONFIG = { color: { extrusion: [0.8, 0.8, 0.8, 0.8], pcb: [ 0, 0.3, 0.2, 0.8 ], bulk: [ .9, .9, .9, .2 ], - parts: [ 0, 0.8, 0, 0.9 ] + parts: [ 0, 0.8, 0, 0.9 ], + softparts: [ 0, 0, 0.8, 0.9 ] } }; var CD = { @@ -635,8 +637,22 @@ function foot() { rv.properties.c_column = new CSG.Connector([0,0,F.h],[0,0,1],[1,0,0]); rv.properties.P = new CSG.Connector([0,0,F.h],[0,0,-1],[1,0,0]); return rv.setColor(CONFIG.color.parts); } +function foot_foot() { + // TODO: connect in the altogethernow? + var F = CONFIG.foot; + var rv = CSG.cylinder({ + start: [0,0,0], end: [0,0,F.foot.ho], + radius: F.bolt.hd/2+F.margin + }).union(CSG.cylinder({ + start: [0,0,0], end: [0,0,F.foot.ho+F.foot.hi], + radius: F.bolt.hd/2+PRINT.play_tolerance-PRINT.fit_tolerance + })); + rv.properties.c_foot = new CSG.Connector([0,0,F.foot.ho],[0,0,1],[1,0,0]); + rv.properties.P = new CSG.Connector([0,0,0],[0,0,1],[1,0,0]); + return rv.setColor(CONFIG.color.softparts); +} function refaxes(o) { if(!o) o = {}; var l = o.l||20, g = o.g||0.7; |